wrong kernel modules loaded

Duncan Webb duncan at dwebb.ch
Sun Apr 11 13:36:51 PDT 2004


Christian H. Kuhn said:
> Hi all,
>
> I just compiled a new kernel version (2.4.25, before i had 2.4.22). It's
> not the first time i did, but the first time with my LFS system. And now
> i have a problem: If i do a depmod -a, modules are taken from
> /lib/modules/2.4.22, not from /lib/modules/2.4.25. uname -r tells
> 2.4.25, so i don't know where to look for the bug. Any hints?
>
Isn't this a problem with your System.map, you have the 2.4.22 System.map
in the /boot directory.

One way to solve this problem is
depmod -ae -F /path/to/2.4.25/System.map 2.4.25

Personally I copy the system map to the /boot directory and give the name
System.map-$(uname -r).

HTH
Duncan



More information about the blfs-support mailing list